Go to index page.

# rle2gif

A program to convert images saved as RLE (Utah raster toolkit) to GIF format.

# Usage:

    rle2Gif [-q] [-c #Colors] [-h] RleFile

If no RleFile is given, Rle2Gif will try to read an Rle file from stdin.

# Memory required:

Screen.

# Options:

[-q]
  Quiet mode. Defaults off on MSDOS, on under UNIX. Controls printout of running scan lines. Use -q- to invert.

[-c #Colors]
  Select size of color map in the output Gif file. #Colors should be given as the based 2 log of number of colors. Default is 8 which is 256 colors, and which is also the maximum.
[-h]
  Print one line of command line help, similar to Usage above..

# Notes:

As the RLE format allows full 24 bits per pixel (8 per primary color) Colors must be quantized to the number of colors as set by the [-c] option, above. This process is quite slow. See the quantize.c file in the lib directory for the code for this quantization algorithm (median cut).

# Author:

Gershon Elber